> For the complete documentation index, see [llms.txt](https://docs.interactive.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.interactive.ai/llm-router/api-reference/models.md).

# Models

## List all available models

> Returns all enabled models from the registry with pricing information.\
> \
> Models are returned with the "interactive/" prefix, but can be used in requests\
> with or without the prefix (e.g., both "interactive/openai/gpt-4o" and "openai/gpt-4o" work).\
> \
> \*\*No authentication required.\*\*<br>

```json
{"openapi":"3.0.3","info":{"title":"Models","version":"1.0.0"},"tags":[{"name":"Models"}],"servers":[{"url":"https://app.interactive.ai"}],"paths":{"/api/v1/models":{"get":{"summary":"List all available models","description":"Returns all enabled models from the registry with pricing information.\n\nModels are returned with the \"interactive/\" prefix, but can be used in requests\nwith or without the prefix (e.g., both \"interactive/openai/gpt-4o\" and \"openai/gpt-4o\" work).\n\n**No authentication required.**\n","operationId":"listModels","tags":["Models"],"responses":{"200":{"description":"Successfully retrieved list of available models","content":{"application/json":{"schema":{"type":"object","required":["object","data"],"properties":{"object":{"type":"string","enum":["list"]},"data":{"type":"array","items":{"type":"object","required":["id","object","created","provider","marketing_name","description","prices"],"properties":{"id":{"type":"string","description":"Unique model identifier with \"interactive/\" prefix"},"object":{"type":"string","enum":["model"]},"created":{"type":"integer","description":"Unix timestamp when the model was added"},"provider":{"type":"string","description":"Display name of the model provider"},"marketing_name":{"type":"string","description":"Human-friendly name for the model"},"description":{"type":"string","description":"Brief description of the model"},"prices":{"type":"object","description":"Pricing per usage type (USD per token)","additionalProperties":{"type":"string"}}}}}}}}}},"500":{"description":"Failed to retrieve model list","content":{"application/json":{"schema":{"type":"object","required":["error"],"properties":{"error":{"type":"object","required":["code","message"],"properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":true}}}}}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.interactive.ai/llm-router/api-reference/models.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
